POST
/api/v1/workspaces/{workspace}/stac/search
Operation ID: stacSearch
Authentication
Use one of the following authentication options. Permissions and workspace scope still apply. See authentication and access control.
-
Authorization: Bearer YOUR_ACCESS_TOKEN -
X-API-Key: YOUR_API_KEY
Parameters
-
workspacepath required - string
Request body
Required
Content type application/json
Responses
200 Success
Content type application/json
400 Invalid input
No response body is specified.
401 Authentication required
No response body is specified.
403 Workspace administration required
No response body is specified.
404 Resource not found
No response body is specified.
409 Revision or ID conflict
No response body is specified.
413 Metadata upload exceeds resource limits
No response body is specified.
503 STAC is disabled
No response body is specified.
OpenAPI operation definition
{
"operationId": "stacSearch",
"parameters": [
{
"in": "path",
"name": "workspace",
"required": true,
"schema": {
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/STACSearch"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/STACPage"
}
}
},
"description": "Success"
},
"400": {
"description": "Invalid input"
},
"401": {
"description": "Authentication required"
},
"403": {
"description": "Workspace administration required"
},
"404": {
"description": "Resource not found"
},
"409": {
"description": "Revision or ID conflict"
},
"413": {
"description": "Metadata upload exceeds resource limits"
},
"503": {
"description": "STAC is disabled"
}
},
"tags": [
"STAC"
]
}